# NixOS configuration - managing my devices


## Using this flake
Clone this repository and use the current directory as the flake target `<target>`.

or

Use this repository as a a remote input using the following format for `<target>`:
```
git+https://git.kluster.moll.re/remoll/nixos-config
```
Don't forget to add the `#<host>` to the end of the target to specify the host configuration to use.


## Hosts

### Spectre




## Usage
### Deploying to a machine
Run 
```bash
nixos-rebuild switch --flake <target>#<machine>
# for instance
nixos-rebuild switch --flake .#spectre
```
to apply the configuration.

### Installer iso
To build an installer iso, run
```bash
nix build .#nixosConfigurations.bcachefs-iso.config.system.build.isoImage
```
This will create an iso image in the result directory.



## Inspirations
- https://github.com/the-nix-way/dev-templates
- https://fasterthanli.me/series/building-a-rust-service-with-nix/part-10
- https://ianthehenry.com/posts/how-to-learn-nix/profiles/
- https://github.com/JohnRTitor/nix-conf
- https://github.com/mwaldleben/nix-config
- https://github.com/anotherhadi/nixy
- https://github.com/Numb-0/nix-0
- https://github.com/Frost-Phoenix/nixos-config
- https://github.com/elifouts/Dotfiles
- https://github.com/nomadics9/nixcfg
